#include <cmath>
#include <iostream>

using namespace std;

double g1(double x){ 
  double res= 0.0;
  res = cos(x);
  return res;
}

double f1(double x){ 
  double res= 0.0;
  res = x-cos(x);
  return res;
}

int picard_solver(double (*f)(double), double (*g)(double),
		  double eps,double xinit){
  double norm2 = 1.0;
  double x0 = xinit;
  double x = 0.0;
  int n=0, nmax = 100;
  
  while((abs(norm2) >eps) && (n <nmax)) {
    x = g(x0);
    norm2 = sqrt((x-x0)*(x-x0));
    x0 = x;
    n++;
  }
  cout<<">>> Solution: "<<x<<endl;
  cout<<">>> Nb iteration: "<<n<<" residu: "<<f(x)<<endl;
  return 0;
}

  
int main() {
  
  picard_solver(f1,g1,0.00001,1.2);

  int de1, de2, de3;
  int g1=0,g2=0, i=1;
  char c;
  srand(0);
  while (g1 <= g2) {
    cout<<" voulez vous continuer a jouer (y/n) "<<endl;
    cin >> c;
    if( c == 'y') {
        de1 = (rand() % (6 -0 + 1));
	de2 = (rand() % (6 -0 + 1));
	cout<<"Lancer :"<<i<<" joueur 1: "<<de1<<" joueur 2: "<<de2<<endl;
	if (de1 > de2 ) { g1++; }
	if (de1 < de2 ) { g2++; }
    }
    else {
      break;
    }
    i++;   
  }
  cout<<" Victoire "<<endl;
  return 0;
}

