constexpr int pol( int x, int n){
  int res=0.0;
  for (int i=0;i<n;i++){
    res= res + n*x;
  }
  return res;
}

#include <cmath>
#include <iostream>

using namespace std;

double polynome_simple(double x){ 
  double res= 0.0;

  res = x*x +2*x +1.0;
  return res;
}

int index_ij(int n,int i,int j){
    int k = i * n +j;
    return k;
}

int modify(double x){ 
  x = x+ 3;
  return 0;
}

int modify2(double *p ){ 
  *p = *p+ 3;
  return 0;
}

int modify3(double & x){ 
  x = x+ 3;
  return 0;
}

void print_tab(double tab[10]){ 
  cout<<"tab 4 print 1 "<<tab[4]<<endl;
}

void print_tab2(double tab[]){ 
  cout<<"tab 4 print 2 "<<tab[4]<<endl;
}

void print_tab3(double * tab){ 
  cout<<"tab 4 print 3 "<<tab[4]<<endl;
}

double locale1(double x, double y){
  double res=0.0;
  res = x+y*y;
  res = res-x*x-y;
  res = (res+x)/2-y-x;
  res= exp(1)*res/(3.0*0.53);
  res = res*sin(res);
  res = res/10;
  return res;
}

double locale2(double x, double y){
  double res =0.0;
  res = x-y*y;
  res = res+x*x-2.0*y;
  res = (res+x)/4.0+x-y;
  res= exp(1)*res/(2.0*0.83);
  res = res*cos(res);
  res = res/10;
  return res;
}

double locale3(double x, double y){
  double res =0.0;
  res = x+y+y;
  res = res-y+x*x*x;
  res = (res+x)/3-y-x;
  res= exp(1)*res/(2.0*0.63);
  res = res*tan(res);
  res = res/10;
  return res;
}

int maxi (int a, int b){
  int res=b;
  if( a > b) { res = a; }
  return res;
}

int maxi (int a, int b,int c){
  int res=b;
  if( a > b) { res = a; }
  if( c > res) { res = c; }
  return res;
}

double maxi (double a, double b){
  double res=b;
  if( a > b) { res = a; }
  return res;
}

void initp1 (double *p){
  p = new double[10];
  p[0] =5.0;
}

void initp2 (double *& p){
  p = new double[10];
  p[0] =5.0;
}

int main() { 
  double x= 0.0;
  clock_t t1,t2;
  cout<<" >>>> Donnez un nombre "<<endl;
  cin >> x; 
  cout<<" >>>> Polynome: "<<polynome_simple(x)<<endl;

  cout<<" >>>> Donnez un nombre "<<endl;
  cin >> x;
  modify(x);
  cout<<" >>>> x: "<<x<<endl;

  int * p;
  int n =10;
  p= &n;
  *p = 20;
  cout<<" >>>> p :"<<p<<" *p :"<<*p<<endl;

  x = 10.0;
  double * q = &x;
  modify2(q);
  cout<<" >>>> x: "<<x<<endl;

  x = 10.0;
  modify3(x);
  cout<<" >>>> x: "<<x<<endl;

  t1 = clock();
  int id = 1;
  double z = 0.0;
  for (int  i=1;i<50000000;i++){
    if( id == 1){
      z = z + locale1(2.0,1.5);
    }
    if( id == 2){
      z = z + locale2(2.0,1.5);
    }
    if( id == 3){
      z = z + locale3(2.0,1.5);
    }  
  }
  t2 = clock();
  cout<<" time: "<<(float)(t2-t1)/CLOCKS_PER_SEC<<endl;
  t1=0.0, t2=0.0;

  double (*pf)(double,double) = NULL;
  t1 = clock();
  if( id == 1){
    pf = locale1;
  }
  if( id == 2){
    pf = locale2;
  }
  if( id == 3){
    pf = locale3;
  }
  for (int  i=1;i<50000000;i++){
      z = z + pf(2.0,1.5);
  }
  t2 = clock();
  cout<<" time: "<<(float)(t2-t1)/CLOCKS_PER_SEC<<endl;

  double t[10];
  for (int  i=0;i<10;i++){
    t[i] = i;
  }
  cout<<" t : "<<t<<" &t[0] :"<<&t[0]<<endl;

  double * tab = new double[10];
  double res=0.0;
  for (int  i=0;i<10;i++){
    tab[i] = i;
  }
  for (int  i=0;i<10;i++){
    res = res + tab[i];
  }
  cout<<" >>>res :"<<res<<endl;
  delete [] tab;

  print_tab(t);
  print_tab2(t);
  print_tab3(t);

  char * mot=NULL;
  mot = "bonjour";
  cout<<" mot >>>"<<mot<<endl;

  char * phrase= new char[30];
  cout<<">>> Donner un mot"<<endl;
  cin >> phrase;
  strcat(phrase," monsieur"); 
  cout<<">>> Phrase: "<<phrase<<endl;

  cout << "m1: "<<maxi(1,2) << " m2: "<<maxi(1,2,5)<<  " m3: "<<maxi(1.2,1.0)<<endl;
  
  double tab2D_1[2][2];

  tab2D_1[0][0]=1.0;
  tab2D_1[0][1]=0.0;
  tab2D_1[1][0]=0.0;
  tab2D_1[1][1]=1.0;

  cout<<"Matrix >> i "<<0<<" j "<<1<<" >>>> "<<tab2D_1[0][1]<<endl;

  double   ** tab2D_2 = NULL;

  tab2D_2 = new double*[2];
  for(int   i =0; i<2;i++){
    tab2D_2[i] = new double[2];
  }

  tab2D_2[0][0]=1.0;
  tab2D_2[0][1]=0.0;
  tab2D_2[1][0]=0.0;
  tab2D_2[1][1]=1.0;

  cout<<"Matrix 2>> i "<<0<<" j "<<1<<" >>>> "<<tab2D_2[0][1]<<endl;

  double *tab2D_3 = new double[4];

  

  tab2D_3[index_ij(2,0,0)]=1.0;
  tab2D_3[index_ij(2,0,1)]=0.0;
  tab2D_3[index_ij(2,1,0)]=0.0;
  tab2D_3[index_ij(2,1,1)]=1.0;

  cout<<"Matrix 3>> i "<<0<<" j "<<1<<" >>>> "<<tab2D_3[index_ij(2,0,1)]<<endl;



  /// Tab int par function
  double * p1=NULL;
  cout<<" adresse b>>"<<p1<<endl;
  initp1(p1);
  cout<<" adresse f>>"<<p1<<endl;
  //cout<<" first case p1>>>"<<p1[0]<<endl;

  double * p2=NULL;
  cout<<" adresse b>>"<<p2<<endl;
  initp2(p2);
  cout<<" adresse f>>"<<p2<<endl;
  cout<<" first case p2>>>"<<p2[0]<<endl;


  const int xc =4;
  const int nc=10;
  constexpr int yc = 1 +pol(xc,nc);
  cout<<" >> y >> "<<yc<<endl;

  return 0;
}

